#ifndef News_H
#define News_H

#include <KSGScript.h>
#include <Animation.h>
#include <Thread.h>
#include <Klient.h>

using namespace Framework;
using namespace KSGScript;
using namespace Network;

class News : private Thread
{
private:
	KSGScriptObj *frame;
	HMODULE ksgsDll;
	Text *scriptName;
	Animation2D *laden;
	Bildschirm *screen;
	TextFeld *fehler;
	Schrift *schrift;
	int ref;

public:
	// Konstruktor
	News( Bildschirm *zB, Schrift *zS );
	// Destruktor
	~News();
	// nicht constant
	void rckruf( RCArray< KSGSVariable > *parameter, KSGSVariable **ret );
	void thread();
	// Reference Counting
	News *getThis();
	News *release();
};

class NewsKlient
{
private:
	int id;
	Klient *klient;
	CRITICAL_SECTION cs;
	char *schlssel;
	char schlsselLn;
	bool verbunden;
	int ref;

public:
	// Konstruktor
	NewsKlient();
	// Destruktor
	~NewsKlient();
	// nicht constant
	void lock();
	void unlock();
	bool verbinde();
	bool downloadSeite( char *name );
	bool trenne( bool abmelden );
	// Reference Counting
	NewsKlient *getThis();
	NewsKlient *release();
};

#endif